## kdevplatform 1.6.0

=== CMakeLists.txt ===
# kdevplatform version
set(KDEVPLATFORM_VERSION_MAJOR 1)
set(KDEVPLATFORM_VERSION_MINOR 6)
set(KDEVPLATFORM_VERSION_PATCH 0)

# plugin versions listed in the .desktop files
set(KDEV_PLUGIN_VERSION 16)

# library version / SO version
set(KDEVPLATFORM_LIB_VERSION 7.0.0)
set(KDEVPLATFORM_LIB_SOVERSION 7)

################################################################################

cmake_minimum_required(VERSION 2.8)

project(KDevPlatform)

set(KDE4_BUILD_TESTS "ON" CACHE "BOOL" "Enable building of tests" FORCE )

set(CMAKE_MODULE_PATH ${KDevPlatform_SOURCE_DIR}/cmake/modules)

set(KDE_MIN_VERSION "4.7.0")
find_package(KDE4 4.7.0 REQUIRED)

find_package(Grantlee 0.1.7)
find_package(QJSON)
macro_log_feature( Grantlee_FOUND "Grantlee" "Grantlee templating library, needed for file templates" "http://www.grantlee.org/" TRUE "0.1.7")
macro_log_feature( QJSON_FOUND "QJson" "QJson support for Uploading Patches to reviewboard" "http://qjson.sourceforge.net/" FALSE "0.7.0" "The qjson library is needed to enable uploading patches to reviewboard" )

include (KDE4Defaults)
include (MacroWriteBasicCMakeVersionFile)
include (MacroLibrary)

# Make sure that we're having RPATH on our installed libs, else using kdevelop
# from prefixes like $HOME/kdevelop breaks
# Code taken from FindKDE4Internal.cmake for KDE 4.5
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}"
  _isSystemLibDir)
if("${_isSystemLibDir}" STREQUAL "-1")
  set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
endif("${_isSystemLibDir}" STREQUAL "-1")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

set(KOMPARE_FOUND FALSE)
#macro_optional_find_package(Kompare)
macro_bool_to_01(KOMPARE_FOUND HAVE_KOMPARE)
#macro_log_feature(KOMPARE_FOUND "Kompare" "KPart to view file differences."
#                        "http://www.caffeinated.me.uk/kompare/" FALSE ""
#                        "Required for difference checking. From KDE SDK package, KDE 4.3.61 or higher needed.")


add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQURL_NO_CAST_FROM_QSTRING)

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config-kdevplatform.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config-kdevplatform.h )

include_directories(${KDevPlatform_SOURCE_DIR} ${KDevPlatform_BINARY_DIR} ${KDE4_INCLUDES})
include_directories(${Grantlee_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/util/)

# Now set the usual KDEVPLATFORM_XXX_LIBRARIES variable so we can more easily move plugins around
set(KDEVPLATFORM_SUBLIME_LIBRARIES sublime)
set(KDEVPLATFORM_INTERFACES_LIBRARIES kdevplatforminterfaces)
set(KDEVPLATFORM_LANGUAGE_LIBRARIES kdevplatformlanguage)
set(KDEVPLATFORM_PROJECT_LIBRARIES kdevplatformproject)
set(KDEVPLATFORM_UTIL_LIBRARIES kdevplatformutil)
set(KDEVPLATFORM_OUTPUTVIEW_LIBRARIES kdevplatformoutputview)
set(KDEVPLATFORM_VCS_LIBRARIES kdevplatformvcs)
set(KDEVPLATFORM_SHELL_LIBRARIES kdevplatformshell)
set(KDEVPLATFORM_TESTS_LIBRARIES kdevplatformtests)
set(KDEVPLATFORM_JSONTESTS_LIBRARIES kdevplatformjsontests)
set(KDEVPLATFORM_DEBUGGER_LIBRARIES kdevplatformdebugger)
set(KDEVPLATFORM_DOCUMENTATION_LIBRARIES kdevplatformdocumentation)

add_subdirectory(sublime)
add_subdirectory(interfaces)
add_subdirectory(project)
add_subdirectory(language)
add_subdirectory(shell)
add_subdirectory(util)
add_subdirectory(outputview)
add_subdirectory(vcs)
add_subdirectory(pics)
#macro_optional_add_subdirectory(doc)
add_subdirectory(debugger)
add_subdirectory(documentation)
if (Grantlee_FOUND)
add_subdirectory(template)
endif()
add_subdirectory(tests)

add_subdirectory(plugins)

macro_write_basic_cmake_version_file( ${KDevPlatform_BINARY_DIR}/KDevPlatformConfigVersion.cmake ${KDEVPLATFORM_VERSION_MAJOR} ${KDEVPLATFORM_VERSION_MINOR} ${KDEVPLATFORM_VERSION_PATCH} )
configure_file( "${KDevPlatform_SOURCE_DIR}/KDevPlatformConfig.cmake.in" "${KDevPlatform_BINARY_DIR}/KDevPlatformConfig.cmake" @ONLY )
configure_file( "${KDevPlatform_SOURCE_DIR}/kdevplatformversion.h.cmake" "${KDevPlatform_BINARY_DIR}/kdevplatformversion.h" @ONLY )

if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_kdevplatform_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/kdevplatform")
else(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_kdevplatform_CONFIG_DEST "${LIB_INSTALL_DIR}/kdevplatform")
endif(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)

install( FILES
        "${KDevPlatform_BINARY_DIR}/kdevplatformversion.h"
        DESTINATION "${INCLUDE_INSTALL_DIR}/kdevplatform" )
install( FILES
        "${KDevPlatform_BINARY_DIR}/KDevPlatformConfig.cmake"
        "${KDevPlatform_BINARY_DIR}/KDevPlatformConfigVersion.cmake"
        DESTINATION "${_kdevplatform_CONFIG_DEST}" )
install( EXPORT KDevPlatformTargets
         DESTINATION "${_kdevplatform_CONFIG_DEST}"
         NAMESPACE KDevPlatformImport__
         FILE KDevPlatformTargets.cmake )

# Put this last, so it can use _kdevplatform_CONFIG_DEST
add_subdirectory(cmake)

include(CTest)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== debugger/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9531 )


########### next target ###############

set( kdevplatformdebugger_LIB_SRCS
    interfaces/idebugsession.cpp
    interfaces/iframestackmodel.cpp
    interfaces/ibreakpointcontroller.cpp
    interfaces/ivariablecontroller.cpp
    util/treeitem.cpp
    util/treemodel.cpp
    util/treeview.cpp
    util/pathmappings.cpp
    breakpoint/breakpoint.cpp
    breakpoint/breakpointmodel.cpp
    breakpoint/breakpointwidget.cpp
    breakpoint/breakpointdetails.cpp
    variable/variablewidget.cpp
    variable/variablecollection.cpp
    variable/variabletooltip.cpp
    framestack/framestackmodel.cpp
    framestack/framestackwidget.cpp
)
kde4_add_library(kdevplatformdebugger SHARED ${kdevplatformdebugger_LIB_SRCS})
target_link_libraries(kdevplatformdebugger
        kdevplatforminterfaces
        kdevplatformutil
        ${QT_QTCORE_LIBRARY} 
        ${KDE4_KDEUI_LIBS}
        ${KDE4_KTEXTEDITOR_LIBS}
    )
target_link_libraries(kdevplatformdebugger LINK_INTERFACE_LIBRARIES 
        kdevplatforminterfaces
        kdevplatformutil)
set_target_properties(kdevplatformdebugger PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})
install(TARGETS kdevplatformdebugger EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install(FILES
    debuggerexport.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/debugger COMPONENT Devel
)
install(FILES
    interfaces/idebugsession.h
    interfaces/ibreakpointcontroller.h
    interfaces/ivariablecontroller.h
    interfaces/iframestackmodel.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/debugger/interfaces COMPONENT Devel
)
install(FILES
    util/treemodel.h
    util/treeitem.h
    util/treeview.h
    util/pathmappings.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/debugger/util COMPONENT Devel
)
install(FILES
    breakpoint/breakpointwidget.h
    breakpoint/breakpointdetails.h
    breakpoint/breakpoint.h
    breakpoint/breakpointmodel.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/debugger/breakpoint COMPONENT Devel
)
install(FILES
    variable/variablecollection.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/debugger/variable COMPONENT Devel
)
install(FILES
    framestack/framestackmodel.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/debugger/framestack COMPONENT Devel
)

=== documentation/CMakeLists.txt ===
macro_log_feature(QT_QTWEBKIT_FOUND "QtWebKit" "QtWebKit, for integrated documentation" "http://qt-project.org/" TRUE)


set(kdevplatformdocumentation_LIB_SRCS
    standarddocumentationview.cpp
    documentationfindwidget.cpp
    documentationview.cpp
)

kde4_add_ui_files(kdevplatformdocumentation_LIB_SRCS documentationfindwidget.ui)
kde4_add_library(kdevplatformdocumentation SHARED ${kdevplatformdocumentation_LIB_SRCS})

install(TARGETS kdevplatformdocumentation EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

target_link_libraries(kdevplatformdocumentation
        ${QT_QTWEBKIT_LIBRARY}
        kdevplatforminterfaces)

target_link_libraries(kdevplatformdocumentation LINK_INTERFACE_LIBRARIES
        kdevplatforminterfaces)

set_target_properties(kdevplatformdocumentation PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})

install(FILES
    documentationexport.h
    documentationfindwidget.h
    standarddocumentationview.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/documentation COMPONENT Devel
 )

=== interfaces/CMakeLists.txt ===
find_package(Threads)
find_library(RT_LIBRARY rt)

add_subdirectory(tests)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9502 )
set(kdevplatforminterfaces_LIB_SRCS
    foregroundlock.cpp
    ipatchsource.cpp
    ipatchexporter.cpp
    iassistant.cpp
    context.cpp
    ipatchdocument.cpp
    iplugin.cpp
    idocument.cpp
    icore.cpp
    iuicontroller.cpp
    iplugincontroller.cpp
    iprojectcontroller.cpp
    iproject.cpp
    ilanguagecontroller.cpp
    ilanguage.cpp
    idocumentcontroller.cpp
    istatus.cpp
    iruncontroller.cpp
    isession.cpp
    isessionlock.cpp
    isourceformatter.cpp
    isourceformattercontroller.cpp
    contextmenuextension.cpp
    icompletionsettings.cpp
    iselectioncontroller.cpp
    idocumentationprovider.cpp
    idocumentationproviderprovider.cpp
    idocumentation.cpp
    idocumentationcontroller.cpp
    idebugcontroller.cpp
    ipartcontroller.cpp
    launchconfigurationpage.cpp
    launchconfigurationtype.cpp
    ilauncher.cpp
    ilaunchconfiguration.cpp
    ilaunchmode.cpp
    iprojectprovider.cpp
    ibuddydocumentfinder.cpp
    itemplateprovider.cpp
    itestsuite.cpp
    itestcontroller.cpp
    ilanguagecheck.cpp
    ilanguagecheckprovider.cpp
)
configure_file(ipluginversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/ipluginversion.h)

kde4_add_library(kdevplatforminterfaces SHARED ${kdevplatforminterfaces_LIB_SRCS})
target_link_libraries(kdevplatforminterfaces 
        ${KDE4_KIO_LIBS} 
        ${KDE4_KCMUTILS_LIBS} 
        ${KDE4_KPARTS_LIBS} 
        ${KDE4_KNOTIFYCONFIG_LIBS} 
        ${KDE4_KTEXTEDITOR_LIBS} 
        ${KDE4_THREADWEAVER_LIBRARIES} 
        ${KDE4_KROSSCORE_LIBS})

if( RT_LIBRARY )
    target_link_libraries( kdevplatforminterfaces ${RT_LIBRARY} )
endif( RT_LIBRARY )

if( Threads_FOUND )
    target_link_libraries( kdevplatforminterfaces ${CMAKE_THREAD_LIBS_INIT} )
endif( Threads_FOUND )

target_link_libraries(kdevplatforminterfaces LINK_INTERFACE_LIBRARIES 
        ${KDE4_KPARTS_LIBS} 
        ${KDE4_KTEXTEDITOR_LIBS})
set_target_properties(kdevplatforminterfaces PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})
install(TARGETS kdevplatforminterfaces EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
    foregroundlock.h
    iassistant.h
    context.h
    contextmenuextension.h
    iplugin.h
    icore.h
    iuicontroller.h
    ipatchdocument.h
    ipatchexporter.h
    ipatchsource.h
    iplugincontroller.h
    iprojectcontroller.h
    iproject.h
    ilanguagecontroller.h
    ilanguage.h
    idocument.h
    idocumentcontroller.h
    isourceformatter.h
    isourceformattercontroller.h
    interfacesexport.h
    istatus.h
    isession.h
    isessionlock.h
    iruncontroller.h
    ilaunchconfiguration.h
    ilauncher.h
    launchconfigurationpage.h
    launchconfigurationtype.h
    icompletionsettings.h
    iselectioncontroller.h
    idocumentation.h
    idocumentationprovider.h
    idocumentationproviderprovider.h
    idocumentationcontroller.h
    idebugcontroller.h
    ipartcontroller.h
    ilaunchmode.h
    iprojectprovider.h
    ilanguagecheck.h
    ilanguagecheckprovider.h
    ibuddydocumentfinder.h
    itemplateprovider.h
    itestsuite.h
    itestcontroller.h
    ${CMAKE_CURRENT_BINARY_DIR}/ipluginversion.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/interfaces COMPONENT Devel
)

install(FILES
    kdevelopplugin.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== language/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9505 )

add_subdirectory(highlighting/tests)
add_subdirectory(duchain/tests)
add_subdirectory(backgroundparser/tests)
add_subdirectory(codegen/tests)

set(kdevplatformlanguage_LIB_SRCS
    editor/persistentmovingrangeprivate.cpp
    editor/persistentmovingrange.cpp
    editor/modificationrevisionset.cpp
    editor/modificationrevision.cpp
    backgroundparser/backgroundparser.cpp
    backgroundparser/parsejob.cpp
    backgroundparser/parserdependencypolicy.cpp
    backgroundparser/documentchangetracker.cpp
    backgroundparser/parseprojectjob.cpp
    backgroundparser/urlparselock.cpp

    duchain/referencecounting.cpp
    duchain/specializationstore.cpp
    duchain/codemodel.cpp
    duchain/duchain.cpp
    duchain/waitforupdate.cpp
    duchain/duchainpointer.cpp
    duchain/ducontext.cpp
    duchain/indexedducontext.cpp
    duchain/indexedtopducontext.cpp
    duchain/localindexedducontext.cpp
    duchain/indexeddeclaration.cpp
    duchain/localindexeddeclaration.cpp
    duchain/topducontext.cpp
    duchain/topducontextdynamicdata.cpp
    duchain/functiondefinition.cpp
    duchain/declaration.cpp
    duchain/classmemberdeclaration.cpp
    duchain/classfunctiondeclaration.cpp
    duchain/classdeclaration.cpp
    duchain/use.cpp
    duchain/forwarddeclaration.cpp
    duchain/duchainbase.cpp
    duchain/duchainlock.cpp
    duchain/identifier.cpp
    duchain/parsingenvironment.cpp
    duchain/abstractfunctiondeclaration.cpp
    duchain/functiondeclaration.cpp
    duchain/stringhelpers.cpp
    duchain/namespacealiasdeclaration.cpp
    duchain/aliasdeclaration.cpp
    duchain/dumpdotgraph.cpp
    duchain/duchainobserver.cpp
    duchain/duchainutils.cpp
    duchain/declarationid.cpp
    duchain/definitions.cpp
    duchain/uses.cpp
    duchain/importers.cpp
    duchain/dumpchain.cpp
    duchain/indexedstring.cpp
    duchain/duchainregister.cpp
    duchain/persistentsymboltable.cpp
    duchain/instantiationinformation.cpp

    duchain/types/typesystem.cpp
    duchain/types/typeregister.cpp
    duchain/types/identifiedtype.cpp
    duchain/types/abstracttype.cpp
    duchain/types/integraltype.cpp
    duchain/types/functiontype.cpp
    duchain/types/structuretype.cpp
    duchain/types/pointertype.cpp
    duchain/types/referencetype.cpp
    duchain/types/delayedtype.cpp
    duchain/types/arraytype.cpp
    duchain/types/indexedtype.cpp
    duchain/types/enumerationtype.cpp
    duchain/types/constantintegraltype.cpp
    duchain/types/enumeratortype.cpp
    duchain/types/typeutils.cpp
    duchain/types/typealiastype.cpp
    duchain/types/unsuretype.cpp

    duchain/repositories/abstractitemrepository.cpp
    duchain/repositories/itemrepositoryregistry.cpp
    duchain/repositories/typerepository.cpp

    duchain/navigation/problemnavigationcontext.cpp
    duchain/navigation/abstractnavigationwidget.cpp
    duchain/navigation/abstractnavigationcontext.cpp
    duchain/navigation/usesnavigationcontext.cpp
    duchain/navigation/abstractdeclarationnavigationcontext.cpp
    duchain/navigation/abstractincludenavigationcontext.cpp
    duchain/navigation/useswidget.cpp
    duchain/navigation/usescollector.cpp

    interfaces/iastcontainer.cpp
    interfaces/ilanguagesupport.cpp
    interfaces/quickopendataprovider.cpp
    interfaces/iproblem.cpp
    interfaces/iquickopen.cpp
    interfaces/editorcontext.cpp
    interfaces/codecontext.cpp
    interfaces/icreateclasshelper.cpp
    interfaces/icontextbrowser.cpp

    codecompletion/codecompletion.cpp
    codecompletion/codecompletionworker.cpp
    codecompletion/codecompletionmodel.cpp
    codecompletion/codecompletionitem.cpp
    codecompletion/codecompletioncontext.cpp
    codecompletion/codecompletionitemgrouper.cpp
    codecompletion/codecompletionhelper.cpp
    codecompletion/normaldeclarationcompletionitem.cpp

    codegen/applychangeswidget.cpp
    codegen/coderepresentation.cpp
    codegen/documentchangeset.cpp
    codegen/duchainchangeset.cpp
    codegen/komparesupport.cpp
    codegen/utilities.cpp
    codegen/templatesmodel.cpp
    codegen/templateclassgenerator.cpp
    codegen/codedescription.cpp
    codegen/sourcefiletemplate.cpp
    codegen/templaterenderer.cpp
    codegen/templateengine.cpp
    codegen/archivetemplateloader.cpp

    util/setrepository.cpp
    util/includeitem.cpp
    util/navigationtooltip.cpp

    highlighting/colorcache.cpp
    highlighting/configurablecolors.cpp
    highlighting/codehighlighting.cpp

    checks/dataaccessrepository.cpp checks/dataaccess.cpp
    checks/controlflowgraph.cpp checks/controlflownode.cpp
)

kde4_add_library(kdevplatformlanguage SHARED ${kdevplatformlanguage_LIB_SRCS})
target_link_libraries(kdevplatformlanguage
        ${KDE4_KPARTS_LIBS}
        ${KDE4_KTEXTEDITOR_LIBS}
        ${KDE4_THREADWEAVER_LIBRARIES}
        ${KDE4_KNEWSTUFF3_LIBS}
        kdevplatforminterfaces
        kdevplatformutil
        ${Grantlee_CORE_LIBRARIES})
# Need to add kdevplatforminterfaces and kdevplatformutil when those are exported targets
target_link_libraries(kdevplatformlanguage LINK_INTERFACE_LIBRARIES
        kdevplatforminterfaces)
set_target_properties(kdevplatformlanguage PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})
install(TARGETS kdevplatformlanguage EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install(FILES
    languageexport.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language COMPONENT Devel
)

install(FILES
    interfaces/ilanguagesupport.h
    interfaces/icodehighlighting.h
    interfaces/quickopendataprovider.h
    interfaces/quickopenfilter.h
    interfaces/iquickopen.h
    interfaces/iproblem.h
    interfaces/codecontext.h
    interfaces/editorcontext.h
    interfaces/iastcontainer.h
    interfaces/icreateclasshelper.h
    interfaces/icontextbrowser.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/interfaces COMPONENT Devel
)

install(FILES
    editor/persistentmovingrange.h
    editor/documentrange.h
    editor/documentcursor.h
    editor/simplecursor.h
    editor/simplerange.h
    editor/cursorinrevision.h
    editor/rangeinrevision.h
    editor/modificationrevision.h
    editor/modificationrevisionset.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/editor COMPONENT Devel
)

install(FILES
    backgroundparser/backgroundparser.h
    backgroundparser/parsejob.h
    backgroundparser/parseprojectjob.h
    backgroundparser/urlparselock.h
    backgroundparser/documentchangetracker.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/backgroundparser COMPONENT Devel
)

install(FILES
    util/navigationtooltip.h
    util/setrepository.h
    util/basicsetrepository.h
    util/includeitem.h
    util/debuglanguageparserhelper.h
    util/kdevhash.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/util COMPONENT Devel
)

install(FILES
    duchain/referencecounting.h
    duchain/parsingenvironment.h
    duchain/duchain.h
    duchain/codemodel.h
    duchain/ducontext.h
    duchain/ducontextdata.h
    duchain/topducontext.h
    duchain/topducontextutils.h
    duchain/topducontextdata.h
    duchain/declaration.h
    duchain/declarationdata.h
    duchain/classmemberdeclaration.h
    duchain/classmemberdeclarationdata.h
    duchain/classfunctiondeclaration.h
    duchain/classdeclaration.h
    duchain/functiondefinition.h
    duchain/use.h
    duchain/forwarddeclaration.h
    duchain/duchainbase.h
    duchain/duchainpointer.h
    duchain/duchainobserver.h
    duchain/duchainlock.h
    duchain/identifier.h
    duchain/abstractfunctiondeclaration.h
    duchain/functiondeclaration.h
    duchain/stringhelpers.h
    duchain/safetycounter.h
    duchain/namespacealiasdeclaration.h
    duchain/aliasdeclaration.h
    duchain/dumpdotgraph.h
    duchain/duchainutils.h
    duchain/dumpchain.h
    duchain/indexedstring.h
    duchain/declarationid.h
    duchain/appendedlist.h
    duchain/duchainregister.h
    duchain/persistentsymboltable.h
    duchain/instantiationinformation.h
    duchain/specializationstore.h
    duchain/persistentsetmap.h
    duchain/indexedducontext.h
    duchain/indexedtopducontext.h
    duchain/localindexedducontext.h
    duchain/indexeddeclaration.h
    duchain/localindexeddeclaration.h
    duchain/definitions.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/duchain COMPONENT Devel
)

install(FILES
    duchain/types/unsuretype.h
    duchain/types/identifiedtype.h
    duchain/types/typesystem.h
    duchain/types/typeregister.h
    duchain/types/typepointer.h
    duchain/types/typesystemdata.h
    duchain/types/abstracttype.h
    duchain/types/integraltype.h
    duchain/types/functiontype.h
    duchain/types/structuretype.h
    duchain/types/pointertype.h
    duchain/types/referencetype.h
    duchain/types/delayedtype.h
    duchain/types/arraytype.h
    duchain/types/indexedtype.h
    duchain/types/enumerationtype.h
    duchain/types/constantintegraltype.h
    duchain/types/enumeratortype.h
    duchain/types/alltypes.h
    duchain/types/typeutils.h
    duchain/types/typealiastype.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/duchain/types COMPONENT Devel
)

install(FILES
    duchain/builders/abstractcontextbuilder.h
    duchain/builders/abstractdeclarationbuilder.h
    duchain/builders/abstracttypebuilder.h
    duchain/builders/abstractusebuilder.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/duchain/builders COMPONENT Devel
)

install(FILES
    duchain/repositories/itemrepositoryexampleitem.h
    duchain/repositories/abstractitemrepository.h
    duchain/repositories/itemrepositoryregistry.h
    duchain/repositories/repositorymanager.h
    duchain/repositories/itemrepository.h
    duchain/repositories/typerepository.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/duchain/repositories COMPONENT Devel
)

install(FILES
    codecompletion/codecompletion.h
    codecompletion/codecompletionworker.h
    codecompletion/codecompletionmodel.h
    codecompletion/codecompletionitem.h
    codecompletion/codecompletioncontext.h
    codecompletion/codecompletionitemgrouper.h
    codecompletion/codecompletionhelper.h
    codecompletion/normaldeclarationcompletionitem.h
    codecompletion/abstractincludefilecompletionitem.h
    codecompletion/codecompletiontesthelper.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/codecompletion COMPONENT Devel
)

install(FILES
    codegen/applychangeswidget.h
    codegen/astchangeset.h
    codegen/duchainchangeset.h
    codegen/documentchangeset.h
    codegen/coderepresentation.h
    codegen/utilities.h
    codegen/templatesmodel.h
    codegen/templaterenderer.h
    codegen/templateengine.h
    codegen/sourcefiletemplate.h
    codegen/templateclassgenerator.h
    codegen/codedescription.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/codegen COMPONENT Devel
)

install(FILES
    duchain/navigation/usesnavigationcontext.h
    duchain/navigation/abstractnavigationcontext.h
    duchain/navigation/abstractdeclarationnavigationcontext.h
    duchain/navigation/abstractincludenavigationcontext.h
    duchain/navigation/abstractnavigationwidget.h
    duchain/navigation/navigationaction.h
    duchain/navigation/useswidget.h
    duchain/navigation/usescollector.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/duchain/navigation COMPONENT Devel
)

install(FILES
    highlighting/codehighlighting.h
    highlighting/colorcache.h
    highlighting/configurablecolors.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/highlighting COMPONENT Devel
)

install(FILES
    checks/dataaccess.h
    checks/dataaccessrepository.h
    checks/controlflowgraph.h
    checks/controlflownode.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/language/checks COMPONENT Devel
)

=== outputview/CMakeLists.txt ===

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9507 )
set( outputviewinterfaces_LIB_SRCS
    outputdelegate.cpp
    outputformats.cpp
    filtereditem.cpp
    ifilterstrategy.cpp
    outputmodel.cpp
    ioutputview.cpp
    ioutputviewmodel.cpp
    outputfilteringstrategies.cpp
    outputjob.cpp
    outputexecutejob.cpp
)
kde4_add_library( kdevplatformoutputview SHARED ${outputviewinterfaces_LIB_SRCS} )
target_link_libraries(kdevplatformoutputview
        ${QT_QTCORE_LIBRARY}
        ${KDE4_KDEUI_LIBS}
        kdevplatforminterfaces
        kdevplatformutil
)
# Need to add kdevplatforminterfaces when its exported as target
target_link_libraries(kdevplatformoutputview LINK_INTERFACE_LIBRARIES
        ${KDE4_KDEUI_LIBS})
set_target_properties(kdevplatformoutputview PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})
install(TARGETS kdevplatformoutputview EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

 ########### install files ###############
 install( FILES
          ioutputview.h
          filtereditem.h
          outputmodel.h
          outputdelegate.h
          ioutputviewmodel.h
          ifilterstrategy.h
          outputviewexport.h
          outputjob.h
          outputexecutejob.h
          DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/outputview COMPONENT Devel)

add_subdirectory(tests)

=== plugins/CMakeLists.txt ===
macro_optional_add_subdirectory(konsole)
add_subdirectory(filemanager)
add_subdirectory(appwizard)
add_subdirectory(projectmanagerview)
add_subdirectory(genericprojectmanager)
add_subdirectory(standardoutputview)
add_subdirectory(documentview)
add_subdirectory(quickopen)
add_subdirectory(executescript)
add_subdirectory(contextbrowser)
add_subdirectory(snippet)
macro_optional_add_subdirectory(cvs)
add_subdirectory(problemreporter)
add_subdirectory(execute)
add_subdirectory(externalscript)
add_subdirectory(documentswitcher)
add_subdirectory(patchreview)
add_subdirectory(openwith)
add_subdirectory(grepview)
add_subdirectory(pastebin)
add_subdirectory(codeutils)
add_subdirectory(git)
add_subdirectory(vcschangesview)
add_subdirectory(templatemanager)
add_subdirectory(filetemplates)
add_subdirectory(testview)
add_subdirectory(switchtobuddy)
add_subdirectory(projectfilter)

set(Boost_ADDITIONAL_VERSIONS 1.39.0 1.39)
find_package(Boost 1.35.0)
macro_log_feature( Boost_FOUND "Boost" "Boost libraries for enabling the classbrowser" "http://www.boost.org" FALSE "1.35.0" "The boost libraries are needed to build the Class Browser" )
if(Boost_FOUND)
    macro_optional_add_subdirectory(classbrowser)
endif(Boost_FOUND)

find_package(SubversionLibrary)
macro_log_feature( SUBVERSION_FOUND "Subversion" "Support for Subversion integration" "http://subversion.tigris.org" FALSE "1.3.0" "The subversion libraries are needed for the Subversion support" )

if(SUBVERSION_FOUND)
    macro_optional_add_subdirectory(subversion)
endif(SUBVERSION_FOUND)

if(QJSON_FOUND)
    macro_optional_add_subdirectory(reviewboard)
endif(QJSON_FOUND)

macro_display_feature_log()

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(zh_CN)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(bs)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(sk)
add_subdirectory(zh_TW)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(gl)
add_subdirectory(ru)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(ca)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(nb)
add_subdirectory(th)
add_subdirectory(ca@valencia)
add_subdirectory(da)
add_subdirectory(fi)
add_subdirectory(el)

=== project/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9503 )
set(kdevplatformproject_LIB_SRCS
    projectutils.cpp
    projectmodel.cpp
    projectconfigskeleton.cpp
    importprojectjob.cpp
    builderjob.cpp
    projectbuildsetmodel.cpp
    projectitemlineedit.cpp
    helper.cpp
    projectproxymodel.cpp
    abstractfilemanagerplugin.cpp
    filemanagerlistjob.cpp
    projectfiltermanager.cpp
    interfaces/iprojectbuilder.cpp
    interfaces/iprojectfilemanager.cpp
    interfaces/ibuildsystemmanager.cpp
    interfaces/iprojectfilter.cpp
    interfaces/iprojectfilterprovider.cpp
)


kde4_add_library(kdevplatformproject SHARED ${kdevplatformproject_LIB_SRCS})
target_link_libraries(kdevplatformproject
        kdevplatforminterfaces
        kdevplatformutil
        kdevplatformlanguage
        ${KDE4_KIO_LIBS})
target_link_libraries(kdevplatformproject LINK_INTERFACE_LIBRARIES
        kdevplatforminterfaces)
set_target_properties(kdevplatformproject PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})
install(TARGETS kdevplatformproject EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

add_subdirectory(tests)

########### install files ###############

install(FILES
    interfaces/iprojectbuilder.h
    interfaces/iprojectfilemanager.h
    interfaces/ibuildsystemmanager.h
    interfaces/iprojectfilter.h
    interfaces/iprojectfilterprovider.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/project/interfaces COMPONENT Devel
 )

install(FILES
    projectutils.h
    importprojectjob.h
    projectconfigskeleton.h
    projectmodel.h
    projectkcmodule.h
    projectexport.h
    projectitemlineedit.h
    projectbuildsetmodel.h
    builderjob.h
    helper.h
    abstractfilemanagerplugin.h
    projectfiltermanager.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/project COMPONENT Devel
 )

=== shell/CMakeLists.txt ===

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9501 )
add_subdirectory(settings)
add_subdirectory(tests)

set(kdevplatformshell_LIB_SRCS
    workingsetcontroller.cpp
    workingsets/workingset.cpp
    workingsets/workingsetfilelabel.cpp
    workingsets/workingsettoolbutton.cpp
    workingsets/workingsettooltipwidget.cpp
    workingsets/workingsetwidget.cpp
    workingsets/closedworkingsetswidget.cpp
    workingsets/workingsethelpers.cpp
    assistantpopup.cpp
    mainwindow.cpp
    mainwindow_p.cpp
    plugincontroller.cpp
    shellextension.cpp
    core.cpp
    uicontroller.cpp
    projectcontroller.cpp
    project.cpp
    partcontroller.cpp
    #document.cpp
    partdocument.cpp
    textdocument.cpp
    documentcontroller.cpp
    languagecontroller.cpp
    language.cpp
    statusbar.cpp
    runcontroller.cpp
    sessioncontroller.cpp
    session.cpp
    sessionlock.cpp
    sessionchooserdialog.cpp
    savedialog.cpp
    sessiondialog.cpp
    sourceformattercontroller.cpp
    completionsettings.cpp
    openprojectpage.cpp
    openprojectdialog.cpp
    projectinfopage.cpp
    selectioncontroller.cpp
    documentationcontroller.cpp
    debugcontroller.cpp
    launchconfiguration.cpp
    launchconfigurationdialog.cpp
    loadedpluginsdialog.cpp
    testcontroller.cpp
    projectsourcepage.cpp

    progresswidget/progressmanager.cpp
    progresswidget/statusbarprogresswidget.cpp
    progresswidget/overlaywidget.cpp
    progresswidget/progressdialog.cpp

    areadisplay.cpp

# TODO: Re-Enable after generating new kross bindings for project model
#     kross/krossplugin.cpp
#     kross/krossbuildsystemmanager.cpp
#     kross/krossdistributedversioncontrol.cpp
#     kross/krosstoolviewfactory.cpp
#     kross/krossvcsjob.cpp
#     kross/wrappers/krosscontext.cpp
#     kross/wrappers/krosscontextmenuextension.cpp
#     kross/wrappers/krossvcsrevision.cpp
#     kross/wrappers/krossvcslocation.cpp
#     kross/wrappers/krossprojectmodel.cpp
# #    kross/wrappers/krossiuicontroller.cpp
#     kross/wrappers/krossidocument.cpp
# #    kross/wrappers/krosstopducontext.cpp
# #    kross/wrappers/krossducontext.cpp
#     kross/wrappers/krossilanguage.cpp
# #     kross/wrappers/krossdeclaration.cpp
# #     kross/wrappers/krossuse.cpp
#     kross/wrappers/krossidentifier.cpp
#     kross/wrappers/krossduchainlock.cpp
#     kross/wrappers/krossiproblem.cpp
#     kross/wrappers/krossibuildsystemmanager.cpp
#     kross/wrappers/krossiprojectfilemanager.cpp
#     kross/wrappers/krossiprojectbuilder.cpp
#     kross/wrappers/krosseditorcontext.cpp
#     kross/wrappers/krossqtoolbar.cpp
)

if(HAVE_KOMPARE)
	set(kdevplatformshell_LIB_SRCS ${kdevplatformshell_LIB_SRCS} patchdocument.cpp)
endif(HAVE_KOMPARE)

# Check if KTE is new enough to have the EditVIMode view mode flag
try_compile( HAVE_EDITVIMODE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/testeditvimode.cpp
             CMAKE_FLAGS "-DINCLUDE_DIRECTORIES=${KDE4_INCLUDES}"
             LINK_LIBRARIES ${KDE4_KTEXTEDITOR_LIBS} )
if(HAVE_EDITVIMODE)
    add_definitions("-DKTEXTEDITOR_HAS_VIMODE=1")
endif(HAVE_EDITVIMODE)

set(kdevplatformshell_UI
    sessiondialog.ui
    projectinfopage.ui
    launchconfigurationdialog.ui
    projectsourcepage.ui
)

kde4_add_ui_files( kdevplatformshell_LIB_SRCS ${kdevplatformshell_UI} )
kde4_add_library(kdevplatformshell SHARED ${kdevplatformshell_LIB_SRCS})
target_link_libraries(kdevplatformshell
        ${KDE4_KIO_LIBS}
        ${KDE4_KFILE_LIBS}
        ${KDE4_KCMUTILS_LIBS}
        ${KDE4_KPARTS_LIBS}
        ${KDE4_KNOTIFYCONFIG_LIBS}
        ${KDE4_KTEXTEDITOR_LIBS}
        ${KDE4_THREADWEAVER_LIBRARIES}
        ${KDE4_KROSSCORE_LIBS}
        kdevplatforminterfaces
        kdevplatformproject
        kdevplatformvcs
        kdevplatformlanguage
        sublime
        kdevplatformutil
        kdevplatformoutputview
        kdevplatformdebugger
        kdevplatformdocumentation)
# need to add kdevplatform* once those are exported targets
target_link_libraries(kdevplatformshell LINK_INTERFACE_LIBRARIES
        kdevplatformoutputview
        sublime
        kdevplatformdebugger)
set_target_properties(kdevplatformshell PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})

install(FILES
    mainwindow.h
    plugincontroller.h
    shellextension.h
    core.h
    uicontroller.h
    projectcontroller.h
    project.h
    partcontroller.h
    partdocument.h
    textdocument.h
    documentcontroller.h
    languagecontroller.h
    session.h
    sessioncontroller.h
    sessionlock.h
    sourceformattercontroller.h
    language.h
    shellexport.h
    selectioncontroller.h
    runcontroller.h
    launchconfiguration.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/shell COMPONENT Devel
)

install(TARGETS kdevplatformshell EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES debugger/kdevdebuggershellui.rc DESTINATION ${DATA_INSTALL_DIR}/kdevdebugger )
install( FILES kdevsessionui.rc DESTINATION ${DATA_INSTALL_DIR}/kdevsession )
install( FILES kdevsourceformatter.rc DESTINATION ${DATA_INSTALL_DIR}/kdevsourceformatter )

if(NOT WIN32)
   macro_optional_add_subdirectory(kross)
endif(NOT WIN32)

=== sublime/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9504 )
add_subdirectory(examples)
add_subdirectory(tests)

########### next target ###############

set(sublime_LIB_SRCS
    area.cpp
    areaindex.cpp
    container.cpp
    controller.cpp
    document.cpp
    mainwindow.cpp
    mainwindow_p.cpp
    mainwindowoperator.cpp
    urldocument.cpp
    tooldocument.cpp
    view.cpp
    sublimedefs.cpp
    aggregatemodel.cpp
    holdupdates.cpp

    idealcontroller.cpp
    ideallayout.cpp
    idealtoolbutton.cpp
    idealdockwidget.cpp
    idealbuttonbarwidget.cpp
)

kde4_add_library(sublime SHARED ${sublime_LIB_SRCS})
target_link_libraries(sublime 
        ${KDE4_KDEUI_LIBS} 
        ${KDE4_KPARTS_LIBS})
target_link_libraries(sublime LINK_INTERFACE_LIBRARIES
        ${KDE4_KPARTS_LIBS})
set_target_properties(sublime PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})
install(TARGETS sublime EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install(FILES
    area.h
    areaindex.h
    areawalkers.h
    container.h
    controller.h
    document.h
    mainwindow.h
    mainwindowoperator.h
    urldocument.h
    sublimedefs.h
    sublimeexport.h
    tooldocument.h
    view.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/sublime COMPONENT Devel)

=== tests/CMakeLists.txt ===

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9532 )

include_directories( ${KDevPlatform_SOURCE_DIR}/shell )

set(kdevplatformtests_LIB_SRCS
    kdevsignalspy.cpp
    testcore.cpp
    testproject.cpp
    testfile.cpp
    testlanguagecontroller.cpp
    testhelpers.cpp
    testplugincontroller.cpp
    modeltest.cpp
)

kde4_add_library(kdevplatformtests SHARED ${kdevplatformtests_LIB_SRCS})
target_link_libraries(kdevplatformtests 
        ${QT_QTCORE_LIBRARY}
        ${QT_QTTEST_LIBRARY}
        kdevplatformshell
        kdevplatformlanguage
        kdevplatformproject
)
target_link_libraries(kdevplatformtests LINK_INTERFACE_LIBRARIES
        kdevplatformshell
        kdevplatformlanguage
        kdevplatformproject
)

set_target_properties(kdevplatformtests PROPERTIES
    VERSION ${KDEVPLATFORM_LIB_VERSION}
    SOVERSION ${KDEVPLATFORM_LIB_SOVERSION}
)
install(TARGETS kdevplatformtests EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
    autotestshell.h
    kdevsignalspy.h
    testcore.h
    testproject.h
    testfile.h
    testlanguagecontroller.h
    kdevplatformtestsexport.h
    testhelpers.h
    testplugincontroller.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/tests/
    COMPONENT Devel
)

if(QJSON_FOUND)
    add_subdirectory(json)
endif(QJSON_FOUND)

=== debian/changelog ===
kdevplatform (1.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 17:24:43 +0100

kdevplatform (1.5.2-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Update watch file to use xz instead of bz2
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Nov 2013 15:42:30 +0100

=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cdbs (>= 0.4.51),
               cmake (>= 2.8.0),
               debhelper (>= 7.4.15),
               kdelibs5-dev (>= 4:4.7.0),
               libboost-serialization-dev,
               libgrantlee-dev (>= 0.1.7),
               libqjson-dev,
               libqtwebkit-dev,
               pkg-kde-tools (>= 0.9.0)
Standards-Version: 3.9.4
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevplatform.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevplatform.git

Package: kdevplatform7-libs
Architecture: any
Depends: libsublime7 (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: kdevelop (<< 4:3.9.96-1),
          kdevelop-data (<< 4:3.9.96-1),
          kdevplatform1-libs,
          kdevplatform2-libs,
          kdevplatform3-libs,
          kdevplatform5-libs,
          kdevplatform6-libs
Breaks: kdevplatform1-libs,
        kdevplatform2-libs,
        kdevplatform3-libs,
        kdevplatform5-libs,
        kdevplatform6-libs
Suggests: cvs, git, kdevplatform-l10n, konsole
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform7-libs (= ${binary:Version}),
         libsublime-dev (>= ${source:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:kdevplatform7-libs}
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg,
         kdevplatform7-libs (= ${binary:Version}),
         libsublime7 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: libsublime7 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libsublime7}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Replaces: kdevplatform-l10n-ca,
          kdevplatform-l10n-cavalencia,
          kdevplatform-l10n-da,
          kdevplatform-l10n-de,
          kdevplatform-l10n-engb,
          kdevplatform-l10n-es,
          kdevplatform-l10n-et,
          kdevplatform-l10n-fi,
          kdevplatform-l10n-fr,
          kdevplatform-l10n-gl,
          kdevplatform-l10n-hu,
          kdevplatform-l10n-it,
          kdevplatform-l10n-nds,
          kdevplatform-l10n-nl,
          kdevplatform-l10n-pt,
          kdevplatform-l10n-ptbr,
          kdevplatform-l10n-ru,
          kdevplatform-l10n-sl,
          kdevplatform-l10n-sv,
          kdevplatform-l10n-th,
          kdevplatform-l10n-tr,
          kdevplatform-l10n-uk,
          kdevplatform-l10n-zhcn,
          kdevplatform-l10n-zhtw
Breaks: kdevplatform-l10n-ca,
        kdevplatform-l10n-cavalencia,
        kdevplatform-l10n-da,
        kdevplatform-l10n-de,
        kdevplatform-l10n-engb,
        kdevplatform-l10n-es,
        kdevplatform-l10n-et,
        kdevplatform-l10n-fi,
        kdevplatform-l10n-fr,
        kdevplatform-l10n-gl,
        kdevplatform-l10n-hu,
        kdevplatform-l10n-it,
        kdevplatform-l10n-nds,
        kdevplatform-l10n-nl,
        kdevplatform-l10n-pt,
        kdevplatform-l10n-ptbr,
        kdevplatform-l10n-ru,
        kdevplatform-l10n-sl,
        kdevplatform-l10n-sv,
        kdevplatform-l10n-th,
        kdevplatform-l10n-tr,
        kdevplatform-l10n-uk,
        kdevplatform-l10n-zhcn,
        kdevplatform-l10n-zhtw
Suggests: kde-l10n
Description: language package for the KDevelop platform
 This package contains the localization files for applications using
 the KDevelop platform.
 .
 This package is part of the KDevelop platform.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DBG_PACKAGE_kdevplatform7-libs := kdevplatform-dbg
DEB_DBG_PACKAGE_libsublime7 := kdevplatform-dbg
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevplatform-([\d.]+).tar.xz
